<template>
  <JText
    tag="div"
    weight="normal"
    type="text-3"
    color="text"
    class="conversation-time-divider"
  >
    <span
      role="none"
      class="divider"
    />
    <span class="time-label">
      {{ time }}
    </span>
    <span
      role="none"
      class="divider"
    />
  </JText>
</template>

<script setup lang="ts">
import { JText } from '@new-jira-clone/ui/src/components';

defineProps({
  time: {
    type: String,
    required: true,
  },
});
</script>

<style lang="scss" scoped>
.conversation-time-divider {
  display: flex;
  justify-content: center;
  align-items: center;
  position: sticky;
  z-index: 1;
  top: 0;
  margin: 0 auto;
  margin-bottom: 12px;
  background-color: var(--j-app-bg);

  .time-label {
    flex-shrink: 0;
    margin: 0 12px;
  }

  .divider {
    width: 100%;
    height: 1px;
    background-color: #e0e0e0;
  }
}
</style>
